AbstractBean (JGoodies Common 1.4 API)
Date: 2012-07-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.common.bean
Class AbstractBean

    java.lang.Object
      com.jgoodies.common.bean.Bean
          com.jgoodies.common.bean.AbstractBean

All Implemented Interfaces:
  ObservableBean, ObservableBean2, Serializable

    public abstract class AbstractBean

extends Bean

This is the deprecated abstract superclass for bean classes. Use `Bean` instead.

Version:
  $Revision: 1.2 $
Author:
  Karsten Lentzsch
See Also:
  `PropertyChangeEvent`, `PropertyChangeListener`, `PropertyChangeSupport`, `VetoableChangeListener`, `VetoableChangeSupport`, Serialized Form

Field Summary

Fields inherited from class com.jgoodies.common.bean.Bean
`changeSupport`

Constructor Summary
`AbstractBean()`

Method Summary

Methods inherited from class com.jgoodies.common.bean.Bean
`addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, addVetoableChangeListener, createPropertyChangeSupport, fireIndexedPropertyChange, fireIndexedPropertyChange, fireIndexedPropertyChange, fireMultiplePropertiesChanged, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, fireVetoableChange, fireVetoableChange, fireVetoableChange, fireVetoableChange, fireVetoableChange, fireVetoableChange, getPropertyChangeListeners, getPropertyChangeListeners, getVetoableChangeListeners, getVetoableChangeListeners, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, removeVetoableChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractBean

    public AbstractBean()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009-2012 JGoodies Karsten Lentzsch. All Rights Reserved.